Subject: Re: [PATCH] powerpc/mm: Use jump label to speed up radix_enabled check

From: Michael Ellerman <[email-masked]>
Date: Fri, 10 Jun 2016 14:16:29 +1000

On Thu, 2016-06-09 at 21:28 +0530, Aneesh Kumar K.V wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> > On Wed, 2016-04-27 at 12:30 +0530, Aneesh Kumar K.V wrote:
> 
> So how early can we call jump_label_init() ? What is the reason why we
> do the existing feature fixups in setup_system and not before that ?.
> The previous patch series did end up moving jump_label_init() to
> 
>  @@ -250,6 +250,8 @@ void __init early_setup(unsigned long dt_ptr)
>          /* Initialize lockdep early or else spinlocks will blow */
>          lockdep_init();
> 
>  	jump_label_init();
> 
>         /* -------- printk is now safe to use ------- */
> 
> is that safe to do ?
 
Maybe. Maybe not.

It depends what that function does. It might work now, but it could break later
when someone changes the jump label code, and it might work on some platforms
but not others.

That is *really* early. We haven't looked at the device tree yet, we haven't
even enabled early debug.

So I'd rather we did it later, but that has other issues I guess.

cheers